Show / Hide Table of Contents

# Struct ImDrawVertPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawVertPtr

### Constructors

| Improve this Doc View Source

#### ImDrawVertPtr(ImDrawVert*)

##### Declaration

    public ImDrawVertPtr(ImDrawVert*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawVert* | nativePtr |

| Improve this Doc View Source

#### ImDrawVertPtr(IntPtr)

##### Declaration

    public ImDrawVertPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### col

##### Declaration

    public uint col { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImDrawVert*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImDrawVert* |

| Improve this Doc View Source

#### pos

##### Declaration

    public Vector2 pos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### uv

##### Declaration

    public Vector2 uv { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

### Operators

| Improve this Doc View Source

#### Implicit(ImDrawVert* to ImDrawVertPtr)

##### Declaration

    public static implicit operator ImDrawVertPtr(ImDrawVert*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawVert* | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawVertPtr |

| Improve this Doc View Source

#### Implicit(ImDrawVertPtr to ImDrawVert*)

##### Declaration

    public static implicit operator ImDrawVert*(ImDrawVertPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawVertPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImDrawVert* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImDrawVertPtr)

##### Declaration

    public static implicit operator ImDrawVertPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawVertPtr |